<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

  
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<form name=\"Agrega\" action=\"reporte_regalias.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"120\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>";
	 echo"
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>";
	 echo"
							</tr>
	
	
	  <tr><td>
	</td>
	<td></td><td>
	<br>
	<input type=\"submit\" name=\"calificados\" id=\"aceptar2\" value=\"Ver calificados\" /></td></tr>
      </table>
  </div></form>";
  
  $fecha1 =$_POST['fecha_i'];
  $fecha2 =$_POST['fecha_f'];
  
   if($calificados=="Ver calificados"){
  $q2 = "SELECT rfc, nombre, appat, apmat, sum(puntos) as compras, usuarios_ci_idusuarios_ci FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver WHERE fechat between \"$fecha1\" and \"$fecha2\" group by rfc";
  $c2 = mysql_query($q2) or die ('No se pudo hacer lo que quieres ok?' . mysql_error());
  echo"<center><table border=\"1\"> <tr>
			<th>RFC.</th><th>Nombre</th><th>Sistema</th><th>C.D.</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	  
	   $tot+=$a4;
	   
	  if($a4>=624){
echo"<tr><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td><form name=\"busca\" action=\"regal.php\" target=\"_blank\" method=\"post\">
			<input type=hidden name=fech1 value=$fecha1 />
			<input type=hidden name=fech2 value=$fecha2 />
			<input type=hidden name=elrfc value=$a0 />
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver Regalias\" /></form></td></tr>";}
	}
	echo"</table><br><br>Las compras totales realizadas entre $fecha1 y $fecha2 son <br><br>Sistema: $tot<br><br>";
  }
  if($generar=="Generar Compras"){
  $q2 = "SELECT rfc, nombre, apellidoP, apellidoM, sum(total),id_cd FROM `venta`, distribuidor WHERE distribuidor.id_dist=venta.id_dist and fecha_v between \"$fecha1\" and \"$fecha2\" group by rfc ";
  $c2 = mysql_query($q2) or die ('No se pudo hacer lo que quieres ok?' . mysql_error());
  echo"<center><table border=\"1\"> <tr>
			<th>RFC.</th><th>Nombre</th><th>Sistema</th><th>C.D.</th>
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	  
	   $tot+=$a4;
	   
	  
echo"<tr><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td></tr>";
	}
	echo"</table><br><br>Las compras totales realizadas entre $fecha1 y $fecha2 son <br><br>Sistema: $tot<br><br>";
  }
?>